import rules from './rules.a11y';

### Rules

<AccessibilityList rules={rules} />

### Usage

#### Code examples

- with a label only

<!-- prettier-ignore -->
```jsx
<Label aria-label="Your rank">
  Expert
</Label>
```

- with a named icon

<!-- prettier-ignore -->
```jsx
<Label iconType={ICON_TYPE.STAR} iconTitle="Answer rating">
  4/5
</Label>
```

- with a hidden icon

<!-- prettier-ignore -->
```jsx
<Label
  iconType={ICON_TYPE.VERIFIED}
  iconAriaHidden
>
  Answer Verified
</Label>
```

- with a named close button and an icon

<!-- prettier-ignore -->
```jsx
<Label
  buttonLabel="remove attachment"
  onClose={closeLabel}
  iconType={ICON_TYPE.ATTACHMENT}
>
  picture.jpg
</Label>
```
